libnunit-core2.6.3-cil_2.6.4+dfsg-1_all.deb


Advertisement

Description

libnunit-core2.6.3-cil - Unit test framework for CLI - Assemblies

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libnunit-core2.6.3-cil_2.6.4+dfsg-1_all.deb
Package name libnunit-core2.6.3-cil
Package version 2.6.4+dfsg
Package release 1
Package architecture all
Package type deb
Category cli-mono
Homepage http://www.nunit.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 51.49 KB
Installed size 169.00 KB
NUnit is a unit testing framework for all .NET languages. It serves the
same purpose as JUnit does in the Java world. It supports test
categories, testing for exceptions and writing test results in plain
text or XML.
This package contains the nunit.core assembly

Alternatives

Package Version Architecture Repository
libnunit-core2.6.3-cil_2.6.4+dfsg-1_all.deb 2.6.4+dfsg all Ubuntu Main
libnunit-core2.6.3-cil - - -

Requires

Name Value
cli-common >= 0.5.6
libmono-corlib4.5-cil >= 4.2.0
libmono-system4.0-cil >= 4.2.0
libnunit-core-interfaces2.6.3-cil -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libnunit-core2.6.3-cil_2.6.4+dfsg-1_all.deb
Source Package nunit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnunit-core2.6.3-cil deb package:
    # sudo apt-get install libnunit-core2.6.3-cil

Files

Path
/usr/lib/cli/nunit.core-2.6.3/nunit.core.dll
/usr/share/cli-common/packages.d/libnunit-core2.6.3-cil.installcligac
/usr/share/cli-common/policies.d/010-2.6.nunit.core
/usr/share/cli-common/policies.d/libnunit-core2.6.3-cil/policy.2.6.nunit.core.config
/usr/share/cli-common/policies.d/libnunit-core2.6.3-cil/policy.2.6.nunit.core.dll
/usr/share/doc/libnunit-core2.6.3-cil/changelog.Debian.gz
/usr/share/doc/libnunit-core2.6.3-cil/copyright

Changelog

2015-12-14 - Jo Shields <jo.shields@xamarin.com>
nunit (2.6.4+dfsg-1) unstable; urgency=medium
* [91d9c53] Imported Upstream version 2.6.4+dfsg
* [165497e] ABI doesn't seem to have changed meaningfully, but the version
number has been bumped. So include a policy file to handle redirecting
2.6.3->2.6.4
* [bd60cb0] NUnit's build system uses NAnt to build nuget files, using
NAnt targets. Our NUnit avoids the NAnt dependency (as it would be
circular), so manually override the NAnt paths. Also, our
NUnit.Runners.nupkg is very cut down compared to upstream, due to all
sorts of stuff we don't need being in it - so strip the install list.
In addition, "nuget pack" is not path-separator-agnostic, so hardcode
UNIX / instead of Windows \
* [03d874c] Refreshed d/p/05_build_xml_doc_for_nunit.core.dpatch
* [fc0727d] Refreshed d/p/use_default_framework.patch
* [885695d] Build .nupkg files as nupkg-foo packages, placing the nupkg
files in /usr/share/nupkg/ - this location can be used by adding
file:///usr/share/nupkg as a source via the nuget command line
* [d221357] Better dependencies for nupkgs
* [b02ab20] Refreshed d/p/use_default_framework.patch
* [8d704cc] Force XDG_CONFIG_HOME so /nonexistent/.config/NuGet isn't used
2014-09-16 - Jo Shields <directhex@apebox.org>
nunit (2.6.3+dfsg-1) unstable; urgency=medium
* [c7bd1b5] Imported Upstream version 2.6.3+dfsg
* [bcb4bf8] Move nunit-console-runner to GAC-installed libnunit2.6, 
don't treat it as a private lib. This lib is signed, and treated 
as a GAC lib by consumers such as MonoDevelop.
* [7f08e99] Bump version to 2.6.3 as required
* [84535eb] Refreshed patches
* [8479f61] Split package up into per-assembly packages. This makes 
ABI tracking easier in the future, as we can meaningfully have GAC 
policy for cases where ABI isn't truly bumped, and no policy for 
cases where it is. For example, if nunit.framework bumps ABI but 
nunit.core does not, previously we would need to rebuild everything 
using NUnit, but under the new split packaging, that rebuild would 
not be needed for apps only using nunit.core.
* [17a7dc7] Add missing nunit.mocks.dll to nunit.pc
2012-05-27 - Jo Shields <directhex@apebox.org>
nunit (2.6.0.12051+dfsg-2) unstable; urgency=low
* Upload to unstable.
2012-04-15 - Julian Taylor <jtaylor.debian@googlemail.com>
nunit (2.6.0.12051+dfsg-1) experimental; urgency=low
* New upstream release
2012-01-31 - Jo Shields <directhex@apebox.org>
nunit (2.5.10.11092+dfsg-3) unstable; urgency=low
[ Julian Taylor ]
* [2d4a71e] add patch to fix monodevelop's nunit addin (LP: #889241)
* [161ce71] build debug configuration
2012-01-17 - Iain Lane <laney@debian.org>
nunit (2.5.10.11092+dfsg-2) unstable; urgency=low
* Upload to unstable

See Also

Package Description
libnunit-framework2.6.3-cil_2.6.4+dfsg-1_all.deb Unit test framework for CLI - Assemblies
libnunit-mocks2.6.3-cil_2.6.4+dfsg-1_all.deb Unit test framework for CLI - Assemblies
libnunit-util2.6.3-cil_2.6.4+dfsg-1_all.deb Unit test framework for CLI - Assemblies
libnux-4.0-0_4.0.8+16.04.20160209-0ubuntu2_amd64.deb Visual rendering toolkit for real-time applications - shared lib
libnux-4.0-common_4.0.8+16.04.20160209-0ubuntu2_all.deb Visual rendering toolkit for real-time applications - common files
libnux-4.0-dev_4.0.8+16.04.20160209-0ubuntu2_amd64.deb Visual rendering toolkit for real-time applications - dev files
liboauth-dev_1.0.3-0ubuntu2_amd64.deb C library for implementing OAuth 1.0 (development files)
liboauth0_1.0.3-0ubuntu2_amd64.deb C library for implementing OAuth 1.0
libobjc-5-dev_5.3.1-14ubuntu2_amd64.deb Runtime library for GNU Objective-C applications (development files)
libobjc4_5.3.1-14ubuntu2_amd64.deb Runtime library for GNU Objective-C applications
libodbc1_2.3.1-4.1_amd64.deb ODBC library for Unix
libodfgen-0.1-1_0.1.6-1ubuntu2_amd64.deb library to generate ODF documents
libodfgen-dev_0.1.6-1ubuntu2_amd64.deb library to generate ODF documents -- development
libogg-dev_1.3.2-1_amd64.deb Ogg bitstream library development files
libogg0_1.3.2-1_amd64.deb Ogg bitstream library
Advertisement
Advertisement